package com.fzm.mall.server.front.enums;

import com.fzm.mall.server.front.constant.MALLGlobalConfig;

public enum QueueTTLTypeEnum {

    CONFIRM_WITHDRAW_TTL(MALLGlobalConfig.projectMq+"-withdraw-ttl-exchange",MALLGlobalConfig.projectMq+".withdraw.ttl.queue",MALLGlobalConfig.projectMq+".withdraw.ttl.key"),
	//订单支付延时
	ORDER_PAY_TTL(MALLGlobalConfig.projectMq+"-order-ttl-exchange",MALLGlobalConfig.projectMq+".order.pay.ttl.queue",MALLGlobalConfig.projectMq+".order.pay.ttl.key"),
	//订单超时关闭
	ORDER_CLOSE_TTL(MALLGlobalConfig.projectMq+"-order-ttl-exchange",MALLGlobalConfig.projectMq+".order.close.ttl.queue",MALLGlobalConfig.projectMq+".order.close.ttl.key"),
	//订单完成延时
	ORDER_FINISH_TTL(MALLGlobalConfig.projectMq+"-order-ttl-exchange",MALLGlobalConfig.projectMq+".order.finish.ttl.queue",MALLGlobalConfig.projectMq+".order.finish.ttl.key"),

	
	DRAW_GOODS_APPLY_TTL(MALLGlobalConfig.projectMq+"-draw-apply-ttl-exchange", MALLGlobalConfig.projectMq+".draw.apply.ttl.queue", MALLGlobalConfig.projectMq+".draw.apply.ttl.key"),
	//快递15天自动确认收货
	CONFIRM_RECEIPT_TTL(MALLGlobalConfig.projectMq+"-confirm-receipt-ttl-exchange",MALLGlobalConfig.projectMq+".confirm.receipt.ttl.queue",MALLGlobalConfig.projectMq+".confirm.receipt.ttl.key"),
	//资产转账
	MALL_ASSET_TRAN_TTL(MALLGlobalConfig.projectMq+"-asset-tran-ttl-exchange", MALLGlobalConfig.projectMq+".asset.tran.ttl.queue", MALLGlobalConfig.projectMq+".asset.tran.ttl.key"),
	//用户资产-商品token转让
	MALL_USER_ASSET_TRANSFER_TTL(MALLGlobalConfig.projectMq+"-user-asset-transfer-ttl-exchange", MALLGlobalConfig.projectMq+".user.asset.transfer.ttl.queue", MALLGlobalConfig.projectMq+".user.asset.transfer.ttl.key"),
	;

	private String exchange;

	private String queue;

	private String queueKey;

	private QueueTTLTypeEnum(String exchange, String queue, String queueKey) {
		this.exchange = exchange;
		this.queue = queue;
		this.queueKey = queueKey;
	}

	public String getExchange() {
		return exchange;
	}

	public String getQueue() {
		return queue;
	}

	public String getQueueKey() {
		return queueKey;
	}

}
